Pistis
API referenceConnections

Pistis's OAuth client metadata document

GET
/.well-known/mcp-client

What an MCP server's authorization server fetches when a person connects with OAuth: Pistis's client id (this URL), name and redirect URI (Client ID Metadata Documents). No token.

Response Body

The document

application/json
  1. response
client_id*string

This document's URL

client_name*string
client_uri*string
redirect_uris*array<string>
grant_types*array<string>
response_types*array<string>
token_endpoint_auth_method*string
application_type*string
Example Request
curl -X GET 'http://127.0.0.1:7777/.well-known/mcp-client'
Example Response200
{  "client_id": "string",  "client_name": "string",  "client_uri": "string",  "redirect_uris": [    "string"  ],  "grant_types": [    "string"  ],  "response_types": [    "string"  ],  "token_endpoint_auth_method": "string",  "application_type": "string"}